Skip to main content

Update a conversation

Updates the specified conversation by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Parameters​

title
string
Title of the conversation.
description
string
Description of the conversation.
visibility
enum
Visibility of the conversation. One of private, internal, shared.

Returns​

Returns the conversation object if the update succeeded. Throws an error if update parameters are invalid.

put
/api/conversations/{id}
curl -X PUT https://{workspace}.kitchen.co/api/conversations/{id} \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"archived_at": null,
"created_at": "2024-03-07T07:47:02+00:00",
"id": "convr_1lbg89ha9ttb5dmxuldku3nx",
"latest_message_created_at": null,
"latest_message": null,
"messages_count": 0,
"status": "open",
"title": "New Conversation",
"description": null,
"updated_at": "2024-03-07T07:47:02+00:00",
"visibility": "shared"
}